<?
session_start();
if ($_SESSION['estado'] != "ON")
		{
		?>
		<script>
			parent.location.href = '../index.php';
		</script>
		<? 
		exit();
		}
$id_empresa = $_SESSION['ss_empresa'];
$id_user = $_SESSION['ss_user'];
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>Facturas Pendientes de Pago</title>
<?
include("../conex.php");

$txtfecha=$_POST["txtfecha"];
$txtfecha1=$_POST["txtfecha1"];

$dia = substr ($txtfecha, 0, 2);
$dia1 = substr ($txtfecha1, 0, 2);
$mes = substr ($txtfecha, 3, 2);
$mes1 = substr ($txtfecha1, 3, 2);
$mes2=$mes;

$aņo = substr ($txtfecha, 6, 4);
$aņo1 = substr ($txtfecha1, 6, 4);

$ini = $aņo.'/'.$mes.'/'.$dia;
$fin = $aņo1.'/'.$mes1.'/'.$dia1;
 
$vende =$_POST["lstvendedor"];
$id_zona =$_POST["lstzona"];
if ($vende==0) $vendedores='Todos';
else	{

	$sql_bv = "SELECT * FROM vendedor WHERE Id = $vende";
  	$resbv = mysql_query($sql_bv,$enlace);	
	while (mysql_fetch_object ($resbv))
			{
			$vendedores = mysql_result($resbv, 0, "nombres");
			}		
			
	}
if ($id_zona==0) $zona='Todas';
else
	{
	$sql_bv = "SELECT * FROM zona WHERE Id = $id_zona";
  	$resbv = mysql_query($sql_bv,$enlace);	
	while (mysql_fetch_object ($resbv))
			{
			$zona = mysql_result($resbv, 0, "descripcion");
			}
	}

?>


<style type="text/css">
<!--
.Estilo1 {font-family: Verdana, Arial, Helvetica, sans-serif; font-size: 10px;}
.Estilo4 {font-family: Verdana, Arial, Helvetica, sans-serif; font-size: 10px; font-weight: bold; }
-->
</style>
</head>
<body LINK="#FFFFFF" VLINK="#FFFFFF" ALINK="#FFFFFF"><br>
<div align="left" class="titulos2"><?=$vendedores?>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;FACTURAS PENDIENTES DE PAGO  <?=$dia?>/<?=$mes?>/<?=$aņo?>&nbsp;&nbsp;<?=$dia1?>/<?=$mes1?>/<?=$aņo1?></div>
  <div align="center">
    <table width="100% "border="0">
      <tr bgcolor="#CCCCCC">
	  	<th scope="col"><div align="center">Fecha</div></th>
		<th scope="col"><div align="center">Vence</div></th>
        <th scope="col"><div align="center">RUT</div></th>
        <th scope="col"><div align="center">Cliente</div></th>
         <th scope="col"><div align="center">Direccion</div></th>
          <th scope="col"><div align="center">Fono</div></th>
        <th scope="col"><div align="center">Nro</div></th>
        <th scope="col"><div align="center">Total</div></th>
		<th scope="col"><div align="center">Pagado</div></th>
		<th scope="col"><div align="center">Saldo</div></th>
      </tr>
		<?	
		$total_pagado=0;
		$total_total=0;
		$total_saldo=0;

if (($vende==0)&&($id_zona==0))  { $sqlfs = "SELECT * FROM salida, tipo_pago, tipo_dcto, nombres  WHERE tipo_pago.id=salida.tipo_pago AND tipo_dcto.id = salida.tipo_dcto AND salida.rut_cliente=nombres.rut AND (fecha_emision>='$ini' and fecha_emision<='$fin') and (salida.tipo_dcto='1'  or salida.tipo_dcto='2' or salida.tipo_dcto='6' or salida.tipo_dcto='7' or salida.tipo_dcto='33' or salida.tipo_dcto='56' or salida.tipo_dcto='61')  AND salida.pagada<>salida.total AND tipo_pago.descripcion = 'CREDITO' AND salida.empresa = $id_empresa  ORDER BY razon_social, fecha_emision";
      }
else if ($vende==0)
     {
	$sqlfs = "SELECT * FROM salida, tipo_pago, tipo_dcto  WHERE tipo_pago.id=salida.tipo_pago AND tipo_dcto.id = salida.tipo_dcto AND (fecha_emision>='$ini' and fecha_emision<='$fin') and (salida.tipo_dcto='1' or salida.tipo_dcto='2' or salida.tipo_dcto='6' or salida.tipo_dcto='7' or salida.tipo_dcto='33' or salida.tipo_dcto='56' or salida.tipo_dcto='61')  AND salida.pagada<>salida.total AND tipo_pago.descripcion = 'CREDITO'  AND  salida.empresa = $id_empresa AND  salida.zona=$id_zona ORDER BY razon_social, fecha_emision";
     }
else if ($id_zona==0)
	{
	 $sqlfs = "SELECT * FROM salida, tipo_pago, tipo_dcto, nombres  WHERE salida.vendedor=$vende AND tipo_pago.id=salida.tipo_pago AND tipo_dcto.id = salida.tipo_dcto AND salida.rut_cliente=nombres.rut AND (fecha_emision>='$ini' and fecha_emision<='$fin') and (salida.tipo_dcto='1'  or salida.tipo_dcto='2' or salida.tipo_dcto='6' or salida.tipo_dcto='7' or salida.tipo_dcto='33' or salida.tipo_dcto='56' or salida.tipo_dcto='61')  AND salida.pagada<>salida.total AND tipo_pago.descripcion = 'CREDITO' AND salida.empresa = $id_empresa  ORDER BY razon_social, fecha_emision";
	
	}
else
	{
	$sqlfs = "SELECT * FROM salida, tipo_pago, tipo_dcto, nombres  WHERE tipo_pago.id=salida.tipo_pago AND tipo_dcto.id = salida.tipo_dcto AND (fecha_emision>='$ini' and fecha_emision<='$fin') and (salida.tipo_dcto='1' or salida.tipo_dcto='2' or salida.tipo_dcto='6' or salida.tipo_dcto='7' or salida.tipo_dcto='33' or salida.tipo_dcto='56' or salida.tipo_dcto='61')  AND salida.pagada<>salida.total AND tipo_pago.descripcion = 'CREDITO'  AND  salida.empresa = $id_empresa AND salida.vendedor=$vende AND salida.zona=$id_zona AND salida.rut_cliente=nombres.rut ORDER BY razon_social, fecha_emision";
	}
	
		  	$resfs = mysql_query($sqlfs,$enlace);	
			$cont=0;
			$rut_antiguo=0;
			while (mysql_fetch_object ($resfs))
				{
				$fecha = mysql_result($resfs, $cont, "fecha_emision");
				$dia = substr ($fecha, 8, 2);
				$ano = substr ($fecha, 2, 2);
				$mes = substr ($fecha, 5, 2);
				$fecha = "$dia/$mes/$ano";

				$fechav = mysql_result($resfs, $cont, "fecha_vencimiento");
				$dia = substr ($fechav, 8, 2);
				$ano = substr ($fechav, 2, 2);
				$mes = substr ($fechav, 5, 2);
				$fechav = "$dia/$mes/$ano";

				$iddcto = mysql_result($resfs, $cont, "tipo_dcto");
				if($iddcto==1)$dcto='B';
				if($iddcto==2)$dcto='F';
				if($iddcto==3)$dcto='NV';
				if($iddcto==4)$dcto='C';
				if($iddcto==5)$dcto='G';
				if($iddcto==6)$dcto='NC';
				if($iddcto==7)$dcto='ND';
				if($iddcto==33)$dcto='FE';
				if($iddcto==56)$dcto='ND E';
				if($iddcto==61)$dcto='NC E';
				$pagado = mysql_result($resfs, $cont, "pagada");
				$total_pagado+=$pagado;
				$rut = mysql_result($resfs, $cont, "rut_cliente");
				if ($rut!=''){
				$sqlc = "SELECT * FROM nombres WHERE rut='$rut'";
		  		$resc = mysql_query($sqlc,$enlace);
				
				$nombre = mysql_result($resc, 0, "razon_social");
				$direccion = mysql_result($resc, 0, "direccion");
				$fono = mysql_result($resc, 0, "fono1");
				}
				else 
					{
					$nombre = "Boleta";
					$rut="&nbsp;";
					
					}
				if ($rut_antiguo==0) $rut_antiguo=$rut;
				$idasal = mysql_result($resfs, $cont, "id");	
				$iva = mysql_result($resfs, $cont, "iva");
				$nro = mysql_result($resfs, $cont, "num_dcto");
				$iva=number_format($iva,0,',','.');
				$neto= mysql_result($resfs, $cont, "neto");
				$neto=number_format($neto,0,',','.');
				$total = mysql_result($resfs, $cont, "total");
				$total_total+=$total;
				$saldo=$total-$pagado;
				$total_saldo+=$saldo;
				$pagado=number_format($pagado,0,',','.');
				$saldo=number_format($saldo,0,',','.');
				$total=number_format($total,0,',','.');
			if ($rut!=$rut_antiguo)
					{
					$sql_total= "SELECT SUM(total) AS Total_c, SUM(pagada) AS pagada_c FROM salida, tipo_pago, tipo_dcto  WHERE tipo_pago.id=salida.tipo_pago AND tipo_dcto.id = salida.tipo_dcto AND (fecha_emision>='$ini' and fecha_emision<='$fin') and (salida.tipo_dcto='1' or salida.tipo_dcto='2' or salida.tipo_dcto='6' or salida.tipo_dcto='7')  AND salida.pagada<>salida.total AND tipo_pago.descripcion = 'CREDITO'  AND  salida.empresa = $id_empresa  AND salida.rut_cliente='$rut_antiguo' ORDER BY fecha_emision";
			$res_total = mysql_query($sql_total,$enlace);		
			$total_cliente= mysql_result($res_total, 0, "total_c");
			$pagada_cliente= mysql_result($res_total, 0, "pagada_c");
			$saldo_cliente= $total_cliente-$pagada_cliente;
			$total_cliente=number_format($total_cliente,0,',','.');
			$pagada_cliente=number_format($pagada_cliente,0,',','.');
			$saldo_cliente=number_format($saldo_cliente,0,',','.');
			$rut_antiguo=$rut;			
			?>
			
			<tr>
		        <td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px">&nbsp;</td>
				<td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px">&nbsp;</td>
				<td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px">&nbsp;</td>
                <td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px">&nbsp;</td>
				<td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px">&nbsp;</td>
				<td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px"><div align="left"><span class="Estilo4"><strong>Total: </strong></span></div></td>
				<td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px">&nbsp;</td>
				<td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px"><div align="right"><span class="Estilo4"><strong><?=$total_cliente;?></strong></span></div></td>
				<td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px"><div align="right"><span class="Estilo1"><strong><?=$pagada_cliente;?></strong></span></div></td> 
				<td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px"><div align="right"><span class="Estilo1"><strong><?=$saldo_cliente;?></strong></span></div></td>
	        </tr>	

			<?
			
			}
		  	?>
			<tr>
		        <td  style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px"><div align="left"><span class="Estilo1">
	            	<strong><?=$fecha?></strong>
				</span></div></td>
				<td  style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px"><div align="left"><span class="Estilo1">
	            	<strong><?=$fechav?></strong>
				</span></div></td>
				<td  style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px"><div align="left"><span class="Estilo1">
	            	<strong><?=$rut?></strong>
				</span></div></td>
				<td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px"><div align="left"><span class="Estilo1">
	            	<strong><?=substr ($nombre, 0,20);?></strong>
				</span></div></td>
                <td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px"><div align="left"><span class="Estilo1">
	            	<strong><?=substr ($direccion, 0,25);?></strong>
				</span></div></td>
                <td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px"><div align="left"><span class="Estilo1">
	            	<strong><?=substr ($fono, 0,10);?></strong>
				</span></div></td>
				<td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px"><div align="right"><span class="Estilo1">
	            	<strong><?=$nro?></strong>
				</span></div></td>
				<td  style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px"><div align="right"><span class="Estilo1">
	            	<strong><?=$total?></strong>
				</span></div></td>
				<td  style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px"><div align="right"><span class="Estilo1">
					<strong><?=$pagado;?></strong>
				</span></div></td> 
				<td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px"><div align="right"><span class="Estilo1">
					<strong><?=$saldo;?></strong>
				</span></div></td>
	        </tr>	
			<?
			$cont+=1;
			}
			$total_pagado=number_format($total_pagado,0,',','.');;
			$total_total=number_format($total_total,0,',','.');;
			$total_saldo=number_format($total_saldo,0,',','.');;
			?>
			<tr>
		        <td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px"><div align="left"><span class="Estilo1">
	            &nbsp;&nbsp;&nbsp;&nbsp;	
				</span></div></td>
				<td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px"><div align="left"><span class="Estilo1">
	            &nbsp;&nbsp;&nbsp;&nbsp;
				</span></div></td>
				<td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px"><div align="left"><span class="Estilo1">
	            &nbsp;&nbsp;&nbsp;&nbsp;
				</span></div></td>
				<td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px"><div align="left"><span class="Estilo1">
	            	&nbsp;&nbsp;&nbsp;&nbsp;
				</span></div></td>
                <td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px"><div align="left"><span class="Estilo1">
	            	&nbsp;&nbsp;&nbsp;&nbsp;
				</span></div></td>
                <td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px"><div align="left"><span class="Estilo1">
	            	&nbsp;&nbsp;&nbsp;&nbsp;
				</span></div></td>
				<td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px"><div align="left"><span class="Estilo1">
	            	<strong>Total:</strong>
				</span></div></td>
				<td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px"><div align="right"><span class="Estilo1">
	            	<strong><?=$total_total?></strong>
				</span></div></td>
				<td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px"><div align="right"><span class="Estilo1">
					<strong><?=$total_pagado;?></strong>
				</span></div></td> 
				<td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px"><div align="right"><span class="Estilo1">
					<strong><?=$total_saldo;?></strong>
				</span></div></td>
	        </tr>

    </table>
	
	
	<form name="form1" method="post" action="">
	<table width="150" border="0" align="center">
	<tr>
		<td width="30%" align="rigth">
			<input type="submit" name="salir" value="Salir" onClick="fun_salir();"/>
		</td>
		<td width="70%" align="right">
			<input type="button" name="imprimir" id="imprimir" value="Imprimir" onClick="fun_imprimir();">
		</td>
	</tr>
</table>
		<input name="idsalidaant" type="text" id="idsalidaant" style="visibility:hidden" size="1">
    </form>


  </div>
</body>
</html>

<script language="javascript" type="text/javascript">
function cerrar()
{
window.top.open('','_parent','');
window.top.close();
}
function fun_eliminar(cual)
	{
	document.form1.idsalidaant.value=cual;
	document.form1.action="anular.php";
	document.form1.target="_self";
	document.form1.submit();
	}
function fun_salir()
	{
	window.top.open('','_parent','');window.top.close();
	}
function fun_imprimir()
	{
	document.getElementById('salir').style.display = "none";
	document.getElementById('imprimir').style.display = "none";
	window.print();
	document.getElementById('salir').style.display = "block"
	document.getElementById('imprimir').style.display = "block";
	};
</script>